• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

ivre

Sjoza

Member
04.05.2019
7
0
BIT
0
Здравствуйте уважаемые Форумчане! Кто может помочь с установкой и настройкой Ivre.
 

f22

Codeby Academy
Gold Team
05.05.2019
1 847
225
BIT
1 141
Здравствуйте уважаемые Форумчане! Кто может помочь с установкой и настройкой Ivre.
Разве инструкция на сайте не полная?

On , just run apt install ivre to install the .
 

Sjoza

Member
04.05.2019
7
0
BIT
0
А ты попробуй установить - тогда разкажешь нам как ты ето сделал без бубна с танцами. Можешь еще и видео снять что у тебя получилось.
P.S Я перепробовал Кали, федору, убунту, дебиан, архлинукс и blackarch. Везде что-то не хватает и не все пакеты устанавливаются.
В основном такие проблемы E: Для пакета «Дохера таких пакетов» не найден кандидат на установку, и похожее.
Еще Пример:
Код:
root@kal:~# sudo apt-get install python-pip python-dev mongodb tesseract-ocr geoip-bin geoip-database geoip-database-extra python-pymongo python-crypto apache2 dokuwiki python-pil
Чтение списков пакетов… Готово
Построение дерева зависимостей      
Чтение информации о состоянии… Готово
Пакет geoip-bin недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

Пакет geoip-database-extra недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

Пакет python-dev недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
  python python2

E: Невозможно найти пакет python-pip
E: Для пакета «python-dev» не найден кандидат на установку
E: Невозможно найти пакет mongodb
E: Невозможно найти пакет tesseract-ocr
E: Для пакета «geoip-bin» не найден кандидат на установку
E: Для пакета «geoip-database-extra» не найден кандидат на установку
E: Невозможно найти пакет python-pymongo
E: Невозможно найти пакет python-crypto
E: Невозможно найти пакет dokuwiki
E: Невозможно найти пакет python-pil
root@kal:~#
 
Последнее редактирование:

Sjoza

Member
04.05.2019
7
0
BIT
0
Код:
root@kal:~# sudo apt-get install -y mongodb-org
Чтение списков пакетов… Готово
Построение дерева зависимостей     
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
mongodb-org : Зависит: mongodb-org-shell но он не будет установлен
               Зависит: mongodb-org-server но он не будет установлен
               Зависит: mongodb-org-mongos но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.


root@kal:~# sudo apt-get install -y mongodb-org=4.2.8 mongodb-org-server=4.2.8 mongodb-org-shell=4.2.8 mongodb-org-mongos=4.2.8 mongodb-org-tools=4.2.8
Чтение списков пакетов… Готово
Построение дерева зависимостей      
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
mongodb-org-mongos : Зависит: libcurl3 (>= 7.16.2) но он не может быть установлен
mongodb-org-server : Зависит: libcurl3 (>= 7.16.2) но он не может быть установлен
mongodb-org-shell : Зависит: libcurl3 (>= 7.16.2) но он не может быть установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.
root@kal:~#
 

Sjoza

Member
04.05.2019
7
0
BIT
0
Что за хрень? Что танцевать?
Код:
root@kal:~# wget -qO - https://www.mongodb.org/static/pgp/server-4.2.asc | sudo apt-key add -
OK
root@kal:~# echo "deb [ arch=amd64,arm64 ] Index of ubuntu bionic/mongodb-org/4.2 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-4.2.list
deb [ arch=amd64,arm64 ] Index of ubuntu bionic/mongodb-org/4.2 multiverse
root@kal:~# sudo apt-get update
Игн:1 Index of ubuntu bionic/mongodb-org/4.2 InRelease       
Пол:3 Index of ubuntu bionic/mongodb-org/4.2 Release [3 951 B]
Сущ:2 http://mirrors.neusoft.edu.cn/kali kali-last-snapshot InRelease                        
Пол:4 Index of ubuntu bionic/mongodb-org/4.2 Release.gpg [801 B]         
Сущ:5 http://mirrors.neusoft.edu.cn/kali kali-experimental InRelease             
Пол:6 Index of ubuntu bionic/mongodb-org/4.2/multiverse arm64 Packages [6 490 B]
Пол:7 Index of ubuntu bionic/mongodb-org/4.2/multiverse amd64 Packages [6 864 B]
Получено 18,1 kB за 2с (9 846 B/s)        
Чтение списков пакетов… Готово
root@kal:~# sudo systemctl start mongod
Failed to start mongod.service: Unit mongod.service not found.
root@kal:~#
 

Sjoza

Member
04.05.2019
7
0
BIT
0
Вот еще установка
Код:
root@kal:~# sudo apt-get install gsfonts-x11 fonts-arphic-uming
Чтение списков пакетов… Готово
Построение дерева зависимостей      
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  gsfonts
Следующие НОВЫЕ пакеты будут установлены:
  fonts-arphic-uming gsfonts gsfonts-x11
Обновлено 0 пакетов, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
Необходимо скачать 11,1 MB архивов.
После данной операции объём занятого дискового пространства возрастёт на 26,2 MB.
Хотите продолжить? [Д/н] Y
Пол:1 http://mirrors.neusoft.edu.cn/kali kali-last-snapshot/main amd64 fonts-arphic-uming all 0.2.20080216.2-11 [7 938 kB]
Пол:2 http://mirrors.neusoft.edu.cn/kali kali-last-snapshot/main amd64 gsfonts all 1:8.11+urwcyr1.0.7~pre44-4.4 [3 125 kB]
Пол:3 http://mirrors.neusoft.edu.cn/kali kali-last-snapshot/main amd64 gsfonts-x11 all 0.27 [9 140 B]
Получено 11,1 MB за 2с (4 921 kB/s)        
Выбор ранее не выбранного пакета fonts-arphic-uming.
(Чтение базы данных … на данный момент установлено 244186 файлов и каталогов.)
Подготовка к распаковке …/fonts-arphic-uming_0.2.20080216.2-11_all.deb …
Распаковывается fonts-arphic-uming (0.2.20080216.2-11) …
Выбор ранее не выбранного пакета gsfonts.
Подготовка к распаковке …/gsfonts_1%3a8.11+urwcyr1.0.7~pre44-4.4_all.deb …
Распаковывается gsfonts (1:8.11+urwcyr1.0.7~pre44-4.4) …
Выбор ранее не выбранного пакета gsfonts-x11.
Подготовка к распаковке …/gsfonts-x11_0.27_all.deb …
Распаковывается gsfonts-x11 (0.27) …
Настраивается пакет fonts-arphic-uming (0.2.20080216.2-11) …
Настраивается пакет gsfonts (1:8.11+urwcyr1.0.7~pre44-4.4) …
Настраивается пакет gsfonts-x11 (0.27) …
Обрабатываются триггеры для fontconfig (2.13.1-4) …
root@kal:~# cd /tmp/ && wget Bitbucket | The Git solution for professional teams`curl -s ariya / phantomjs / Downloads — Bitbucket | grep -E -o '/ariya/phantomjs/downloads/phantomjs-[0-9]{1,2}.[0-9]{1,2}.[0-9]{1,2}-linux-x86_64.tar.bz2' | head -n 1` && tar xjf phantomjs-* && sudo mv `ls | grep 'phantomjs-' | head -n 1`/bin/phantomjs /usr/bin/ && cd `ls | grep 'phantomjs-' | head -n 1` && sudo mkdir /usr/share/phantomjs && sudo mv examples/ /usr/share/phantomjs && cd
--2020-07-12 14:55:08--  Bitbucket | The Git solution for professional teams
Распознаётся bitbucket.org (bitbucket.org)… 18.205.93.0, 18.205.93.1, 18.205.93.2, ...
Подключение к bitbucket.org (bitbucket.org)|18.205.93.0|:443... соединение установлено.
HTTP-запрос отправлен. Ожидание ответа… 200 OK
Длина: 71277 (70K) [text/html]
Сохранение в: «index.html»

index.html              100%[==============================>]  69,61K   128KB/s    за 0,5s   

Недопустимый заголовок last-modified — временные отметки проигнорированы.
2020-07-12 14:55:10 (128 KB/s) - «index.html» сохранён [71277/71277]

tar (child): phantomjs-*: Функция open завершилась с ошибкой: Нет такого файла или каталога
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!